> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monei.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payment method details



## OpenAPI

````yaml /openapi.json get /api/v1/payment-methods/{id}
openapi: 3.0.0
info:
  title: Mr Monei API Gateway
  description: External API for partners using API Key authentication
  version: '1.0'
  contact: {}
servers:
  - url: https://api.dev.monei.cc
    description: Dev Server
  - url: https://api.monei.cc
    description: Live Server
security: []
tags: []
paths:
  /api/v1/payment-methods/{id}:
    get:
      tags:
        - Payment Methods
      summary: Get payment method details
      operationId: PaymentMethodController_getPaymentMethod
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentMethodResponseDto'
      security:
        - api-key: []
        - bearer: []
components:
  schemas:
    PaymentMethodResponseDto:
      type: object
      properties:
        statusCode:
          type: number
        message:
          type: string
        data:
          $ref: '#/components/schemas/PaymentMethodDto'
        errors:
          type: object
      required:
        - statusCode
        - message
        - data
        - errors
    PaymentMethodDto:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - VIRTUAL_ACCOUNT
            - CARD
            - BANK_TRANSFER
            - USSD
            - CRYPTO_WALLET
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - PENDING_VERIFICATION
            - SUSPENDED
        isDefault:
          type: boolean
        nickname:
          type: string
        isEnabled:
          type: boolean
        lastUsedAt:
          format: date-time
          type: string
        usageCount:
          type: number
        capabilities:
          type: object
        details:
          type: object
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - id
        - type
        - status
        - isDefault
        - nickname
        - isEnabled
        - lastUsedAt
        - usageCount
        - capabilities
        - details
        - createdAt
        - updatedAt
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-KEY

````